{% extends "base.html" %}
{% from "_macros.html" import collapse_card_start, collapse_card_end, card_link_by_title %}

{% block content %}

<h1>Tag {{data.name}} </h1>
{{ collapse_card_start("Tag Information", show=True) }}
      <dl class="dl-horizontal">
        <dt>id</dt>
        <dd>{{ data.id }}</dd>

        <dt>name</dt>
        <dd>{{ data.name }}</dd>

        <dt># of tasks</dt>
        <dd>
          {{ card_link_by_title("Tasks") }}
            <span class="badge badge-secondary">{{ data.tasks|length }}</span>
          </a>
        </dd>
      </dl>
{{ collapse_card_end("Tag Information") }}

{% if data.tasks %}
{{ collapse_card_start("Tasks", show=True, data_count=data.tasks|length) }}
      <table class="table table-striped">
        <thead>
        <tr>
          <th>id</th>
          <th>status</th>
          <th>lock</th>
          <th>project</th>
          <th>create time</th>
          <th>update time</th>
        </tr>
        </thead>
        <tbody>
        {% for d in data.tasks|sort(attribute='id') %}
        <tr>
          <td>
            <a href="{{url_for('web.task', id=d.id) }}">
              {{d.id}}
            </a>
          </td>
          <td>{{d.status}}</td>
          <td>
            {% if d.lock %}
            <a href="{{url_for('web.user', id=d.lock.id)}}">{{d.lock.name}}</a>
            {% endif %}
          </td>
          <td>{{d.project}}</td>
          <td>{{d.create_time}}</td>
          <td>{{d.update_time}}</td>
        </tr>
        {% endfor %}
        </tbody>
      </table>
{{ collapse_card_end("Tasks") }}
{% endif %}

{% endblock %}
